cmake_minimum_required(VERSION 3.28.6)
project(o C)

set(CMAKE_C_STANDARD 99)
set(LIBRARY_PATH "${CMAKE_SOURCE_DIR}/lib")
set(LIBRARY_NAME "pdcurses.a")
add_executable(o
        include/curses.h
        include/function.h
        include/sqlite3.h
        include/sqlite3ext.h
        include/extern.h
        main.c
        sqlite3.c
        ui.c
        include/ui.h
        o.c
        calculate.c
)
target_link_libraries(o "${LIBRARY_PATH}/${LIBRARY_NAME}")